Eclipse GEF 3.3

## org.eclipse.gef
Interface ExposeHelper

All Known Implementing Classes:
  ViewportExposeHelper

public interface ExposeHelper

An adapter on an `EditPart` used to expose a descendant contained in that EditPart. `EditPartViewer` uses this interface to reveal a given EditPart.

An expose helper is obtained by calling `EditPart#getAdapter(Class)`. The returned helper is responsible for modifying *only* that EditPart's visuals such that the specified descendant is made visible.

Method Summary
`void` `exposeDescendant(EditPart editpart)` Exposes the specified descendant on the EditPart which returned this helper.

Method Detail

### exposeDescendant

    public void exposeDescendant(EditPart editpart)

  Exposes the specified descendant on the EditPart which returned this helper. This is done by adjusting the EditPart's visuals such that the descendants visuals are exposed. Expose is performed from the bottom up, meaning that EditParts in the parent-chain between the helper's EditPart and the descendant will already have had a change to expose the descendant.

  Parameters:
    `editpart` - the descendant to expose

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.